## org.codehaus.plexus.collections
Class AbstractActiveList

    java.lang.Object
      org.codehaus.plexus.collections.AbstractActiveList

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List, ActiveCollection, ActiveList

Direct Known Subclasses:
  DefaultActiveList

    public abstract class AbstractActiveList

extends java.lang.Object
implements ActiveList

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ActiveList
`ROLE`

Constructor Summary
`protected` `AbstractActiveList()`
`protected` `AbstractActiveList(org.codehaus.plexus.PlexusContainer container, java.lang.String role)`

Method Summary
`void` `add(int arg0, java.lang.Object arg1)`
`boolean` `add(java.lang.Object arg0)`
`boolean` `addAll(java.util.Collection arg0)`
`boolean` `addAll(int arg0, java.util.Collection arg1)`
`protected java.util.List` `checkedGetList()`
`void` `clear()`
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`void` `enableLogging(org.codehaus.plexus.logging.Logger logger)`
`protected java.util.List` `getList()`
`protected org.codehaus.plexus.logging.Logger` `getLogger()`
`java.lang.String` `getRole()` Retrive the role, or type of component, which is collected in the current instance.
`java.lang.Object` `remove(int index)`
`boolean` `remove(java.lang.Object o)`
`boolean` `removeAll(java.util.Collection arg0)`
`boolean` `retainAll(java.util.Collection arg0)`
`java.lang.Object` `set(int arg0, java.lang.Object arg1)`
`protected void` `setRole(java.lang.String role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.collections.ActiveList
`checkedContains, checkedContainsAll, checkedGet, checkedIndexOf, checkedIterator, checkedLastIndexOf, checkedListIterator, checkedListIterator, checkedSubList, checkedToArray, checkedToArray`

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`checkedIsEmpty, checkedSize, isEmpty, size`

Methods inherited from interface java.util.List
`contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, size, subList, toArray, toArray`

Constructor Detail

### AbstractActiveList

    protected AbstractActiveList()

### AbstractActiveList

    protected AbstractActiveList(org.codehaus.plexus.PlexusContainer container,
                                 java.lang.String role)

Method Detail

### add

    public boolean add(java.lang.Object arg0)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.List`

### add

    public void add(int arg0,
                    java.lang.Object arg1)

  Specified by:
    `add` in interface `java.util.List`

### addAll

    public boolean addAll(java.util.Collection arg0)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.List`

### addAll

    public boolean addAll(int arg0,
                          java.util.Collection arg1)

  Specified by:
    `addAll` in interface `java.util.List`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.List`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.List`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `java.util.List`

### removeAll

    public boolean removeAll(java.util.Collection arg0)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Specified by:
    `removeAll` in interface `java.util.List`

### retainAll

    public boolean retainAll(java.util.Collection arg0)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Specified by:
    `retainAll` in interface `java.util.List`

### set

    public java.lang.Object set(int arg0,
                                java.lang.Object arg1)

  Specified by:
    `set` in interface `java.util.List`

### checkedGetList

    protected final java.util.List checkedGetList()
                                           throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### getList

    protected final java.util.List getList()

### getRole

    public final java.lang.String getRole()

  Description copied from interface: `ActiveCollection`
  Retrive the role, or type of component, which is collected in the current instance. The current collection will only "contain" elements that specify this role in their component definitions.

  Specified by:
    `getRole` in interface `ActiveCollection`

### setRole

    protected final void setRole(java.lang.String role)

### contextualize

    public final void contextualize(org.codehaus.plexus.context.Context context)
                             throws org.codehaus.plexus.context.ContextException

  Throws:
    `org.codehaus.plexus.context.ContextException`

### getLogger

    protected final org.codehaus.plexus.logging.Logger getLogger()

### enableLogging

    public final void enableLogging(org.codehaus.plexus.logging.Logger logger)

Copyright © 2011. All Rights Reserved.